import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, } from '@angular/forms';
import { QueryBuilderComponent, QueryInputDirective, QueryEntityDirective, QueryFieldDirective, QueryOperatorDirective, QueryButtonGroupDirective, QuerySwitchGroupDirective, QueryRemoveButtonDirective } from './components';
export class QueryBuilderModule {
}
QueryBuilderModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule
                ],
                declarations: [
                    QueryBuilderComponent,
                    QueryInputDirective,
                    QueryOperatorDirective,
                    QueryFieldDirective,
                    QueryEntityDirective,
                    QueryButtonGroupDirective,
                    QuerySwitchGroupDirective,
                    QueryRemoveButtonDirective
                ],
                exports: [
                    QueryBuilderComponent,
                    QueryInputDirective,
                    QueryOperatorDirective,
                    QueryFieldDirective,
                    QueryEntityDirective,
                    QueryButtonGroupDirective,
                    QuerySwitchGroupDirective,
                    QueryRemoveButtonDirective
                ]
            },] },
];
/** @nocollapse */
QueryBuilderModule.ctorParameters = () => [];
//# sourceMappingURL=query-builder.module.js.map